Package org.apache.storm.scheduler

# Class SupervisorDetails

java.lang.Object
org.apache.storm.scheduler.SupervisorDetails

public class SupervisorDetails extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupervisorDetails(String id, int serverPort, String host, Object schedulerMeta, Collection<? extends Number> allPorts, Map<String,Double> totalResources)`
  `SupervisorDetails(String id, Integer serverPort, String host, Object meta, Object schedulerMeta, Collection<? extends Number> allPorts, Map<String,Double> totalResources)`
  Create the details of a new supervisor.
  `SupervisorDetails(String id, Object meta)`
  `SupervisorDetails(String id, Object meta, Collection<? extends Number> allPorts)`
  `SupervisorDetails(String id, Object meta, Map<String,Double> totalResources)`
  `SupervisorDetails(String id, String host, Object schedulerMeta, Collection<? extends Number> allPorts)`
  `SupervisorDetails(String id, String host, Object schedulerMeta, Collection<? extends Number> allPorts, Map<String,Double> totalResources)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getAllPorts()`
  `String`
  `getHost()`
  `String`
  `getId()`
  `Object`
  `getMeta()`
  `Object`
  `getSchedulerMeta()`
  `int`
  `getServerPort()`
  `double`
  `getTotalCpu()`
  Get the total CPU on this supervisor in % CPU.
  `Map<String,Double>`
  `getTotalGenericResources()`
  `double`
  `getTotalMemory()`
  Get the total Memory on this supervisor in MB.
  `NormalizedResourceOffer`
  `getTotalResources()`
  Get all resources for this Supervisor.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SupervisorDetails

    public SupervisorDetails(String id, Integer serverPort, String host, Object meta, Object schedulerMeta, Collection<? extends Number> allPorts, Map<String,Double> totalResources)
    Create the details of a new supervisor.
    Parameters:
      `id` - the ID as reported by the supervisor.
      `serverPort` - the thrift server for the supervisor.
      `host` - the host the supervisor is on.
      `meta` - meta data reported by the supervisor (should be a collection of the ports on the supervisor).
      `schedulerMeta` - Not used and can probably be removed.
      `allPorts` - all of the ports for the supervisor (a better version of meta)
      `totalResources` - all of the resources for this supervisor.

  - ### SupervisorDetails

    public SupervisorDetails(String id, Object meta)

  - ### SupervisorDetails

    public SupervisorDetails(String id, Object meta, Map<String,Double> totalResources)

  - ### SupervisorDetails

    public SupervisorDetails(String id, Object meta, Collection<? extends Number> allPorts)

  - ### SupervisorDetails

    public SupervisorDetails(String id, String host, Object schedulerMeta, Collection<? extends Number> allPorts)

  - ### SupervisorDetails

    public SupervisorDetails(String id, String host, Object schedulerMeta, Collection<? extends Number> allPorts, Map<String,Double> totalResources)

  - ### SupervisorDetails

    public SupervisorDetails(String id, int serverPort, String host, Object schedulerMeta, Collection<? extends Number> allPorts, Map<String,Double> totalResources)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public String getId()

  - ### getServerPort

    public int getServerPort()

  - ### getHost

    public String getHost()

  - ### getMeta

    public Object getMeta()

  - ### getAllPorts

    public Set<Integer> getAllPorts()

  - ### getSchedulerMeta

    public Object getSchedulerMeta()

  - ### getTotalMemory

    public double getTotalMemory()
    Get the total Memory on this supervisor in MB.

  - ### getTotalCpu

    public double getTotalCpu()
    Get the total CPU on this supervisor in % CPU.

  - ### getTotalGenericResources

    public Map<String,Double> getTotalGenericResources()

  - ### getTotalResources

    public NormalizedResourceOffer getTotalResources()
    Get all resources for this Supervisor.